uniform sampler2D fullscreen;
uniform vec2 scoord[49];
void main ()
{ 
   
   vec4 accum = vec4(0.0);
   
   for (int c = 0; c < 49; c++)
   {
	accum += texture2D(fullscreen, gl_TexCoord[0].st + scoord[c]);
   }   
   gl_FragColor = vec4(accum.r / 49.0, accum.g / 49.0, accum.b / 49.0, 1.0);
}